extends ../base.jade

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name: 'name_ru',title: __('name')+' (RU)',type: 'string',required: true},{name: 'name_en',title: __('name')+' (EN)',type: 'string',required: true},{name: 'abbr',title: __('abbr'),required: true,type: 'string'},{name: 'legend_ru',type: 'text',html: 'maxi',title: __('about_company')+' (RU)'},{name: 'legend_en',type: 'text',html: 'maxi',title: __('about_company')+' (EN)'},{name: 'logo',title: __('logo'),file_type: 'image',type: 'file'},{name: 'banner',title: __('banner'),file_type: 'image',type: 'file'},{name: 'employee',title: __('employee_m'),nested: 'id',type: 'select',select_type: 'multi',ajax: '/ajax/user'},{name: 'admin',title: __('admin_on_site'),type: 'select',select_type: 'single',ajax: '/ajax/user'},{name: 'director_fio',title: __('director_fio'),required: true,type: 'string',},{name: 'director_id',ajax: '/ajax/user',title: __('director_profile_on_site'),type: 'select',select_type: 'single'},{name: 'contacts',title: __('contact_m'),type: 'array',array_type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'city',title: __('city'),type: 'string'},{name: 'fields',title: __('additional_fields'),type: 'array',array_type: 'json',items: [{name: 'id',type: 'hidden'},{name:'contact_id',type:'hidden'},{name: 'type',type: 'select',select_type: 'single',enum: ['skype', 'email', 'mobile_phone', 'city_phone', 'global_phone', 'vkontakte', 'facebook', 'twitter', 'linkedid', 'google', 'webpage', 'address'],title: __('data_type'),required: true},{name: 'value',title: __('value'),type: 'string',required: true}]}]}]
  //- - var schema = [
  //-   {
  //-     name: 'name_ru',
  //-     title: __('name')+' (RU)',
  //-     type: 'string',
  //-     required: true
  //-   },
  //-   {
  //-     name: 'name_en',
  //-     title: __('name')+' (EN)',
  //-     type: 'string',
  //-     required: true
  //-   },
  //-   {
  //-     name: 'abbr',
  //-     title: __('abbr'),
  //-     required: true,
  //-     type: 'string',
  //-   },
  //-   {
  //-     name: 'legend_ru',
  //-     type: 'text',
  //-     html: 'maxi',
  //-     title: __('about_company')+' (RU)'
  //-   },
  //-   {
  //-     name: 'legend_en',
  //-     type: 'text',
  //-     html: 'maxi',
  //-     title: __('about_company')+' (EN)'
  //-   },
  //-   {
  //-     name: 'logo',
  //-     title: __('logo'),
  //-     file_type: 'image',
  //-     type: 'file'
  //-   },
  //-   {
  //-     name: 'banner',
  //-     title: __('banner'),
  //-     file_type: 'image',
  //-     type: 'file'
  //-   },
  //-   {
  //-     name: 'employee',
  //-     title: __('employee_m'),
  //-     nested: 'id',
  //-     type: 'select',
  //-     select_type: 'multi',
  //-     ajax: '/ajax/user'
  //-   },
  //-   {
  //-     name: 'admin',
  //-     title: __('admin_on_site'),
  //-     type: 'select',
  //-     select_type: 'single',
  //-     ajax: '/ajax/user'
  //-   },
  //-   {
  //-     name: 'director_fio',
  //-     title: __('director_fio'),
  //-     required: true,
  //-     type: 'string',
  //-   },
  //-   {
  //-     name: 'director_id',
  //-     title: __('director_profile_on_site'),
  //-     type: 'select',
  //-     select_type: 'single',
  //-     ajax: '/ajax/user'
  //-   },
  //-   {
  //-     name: 'contacts',
  //-     title: __('contact_m'),
  //-     type: 'array',
  //-     array_type: 'json',
  //-     items: [
  //-       {
  //-         name: 'id',
  //-         type: 'hidden'
  //-       },
  //-       {
  //-         name: 'city',
  //-         title: __('city'),
  //-         type: 'string'
  //-       },
  //-       {
  //-         name: 'fields',
  //-         title: __('additional_fields'),
  //-         type: 'array',
  //-         array_type: 'json',
  //-         items: [
  //-           {
  //-             name: 'id',
  //-             type: 'hidden'
  //-           },
  //-           {
  //-             name: 'contact_id',
  //-             type: 'hidden'
  //-           },
  //-           {
  //-             name: 'type',
  //-             type: 'select',
  //-             select_type: 'single',
  //-             enum: ['skype', 'email', 'mobile_phone', 'city_phone', 'global_phone', 'vkontakte', 'facebook', 'twitter', 'linkedid', 'google', 'webpage', 'address'],
  //-             title: __('data_type'),
  //-             required: true
  //-           },
  //-           {
  //-             name: 'value',
  //-             title: __('value'),
  //-             type: 'string',
  //-             required: true
  //-           }
  //-         ]
  //-       }
  //-     ]
  //-   }
  //- ]

block main
  .PW.isle
    if action === 'create'
      h2= __('new_company')
    else 
      h2= __('edit_company')

    form(method="POST", action= "/company"+(action === 'edit'? '/'+company.id : ''))
      input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(company, schema, req.getLocale())
      button.button.active.UC(type="submit")= (action === 'create')? __('create') : __('save_changes')